<back to all web services

NotificationStatusRequest

The following routes are available for this service:
GET/RestApi/comments-api/notifications
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Services.Comments.DTO

Namespace Global

    Namespace Telerik.Sitefinity.Services.Comments.DTO

        Public Partial Class NotificationStatusRequest
            Public Overridable Property ThreadKey As String
        End Class

        Public Partial Class NotificationStatusResponse
            Public Overridable Property IsSubscribed As Boolean
        End Class
    End Namespace
End Namespace

VB.NET NotificationStatusRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/comments-api/notifications HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	IsSubscribed: False
}